#---
# Excerpted from "Agile Web Development with Rails 6",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material,
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose.
# Visit http://www.pragmaticprogrammer.com/titles/rails6 for more book information.
#---
class SupportMailbox < ApplicationMailbox
  def process
    recent_order = Order.where(email: mail.from_address.to_s).
                         order('created_at desc').
                         first

    SupportRequest.create!(
      email:   mail.from_address.to_s,
      subject: mail.subject,
      body:    mail.body.to_s,
      order:   recent_order
    )
  end
end
